Tag: pip

Системный PIP вместо virtualenv PIP по умолчанию?

После использования virtualenv with pip off-and-on в течение нескольких дней я обнаружил, что версия PIP, которая используется после активации virtualenv, является глобальным PIP вместо PIP относительно этой среды; так что если вы не установите для переменной среды оболочки export PIP_RESPECT_VIRTUALENV=true , pip установит любой новый пакет (например, pip install argparse) в глобальную область, а не […]

Установка пакета пакета с предустановленными зависимостями

Я хотел бы установить некоторые пакеты python из локальных каталогов (загруженных из GitHub), указанных в requirements.txt -e ./src/django-django-eca4737 -e ./src/divio-django-appmedia-55835b6 -e ./src/ojii-django-sekizai-25c64f4 -e ./src/ojii-django-classy-tags-f2076f6 -e ./src/theatlantic-django-south-471b16b -e ./src/etianen-django-reversion-bdb9e8e -e ./src/django-mptt-django-mptt-7d3e111 -e ./src/jezdez-django-appconf-53c5de7 -e ./src/jezdez-django_compressor-c726239 -e ./src/mongodb-mongo-python-driver-fcb88ee -e ./src/divio-django-cms-66fbff0 PIL wsgiref Однако после того, как pip установит пакеты из локальных каталогов ( pip install -r requirements.txt […]

Почему Pip игнорирует конфликтующие зависимости?

Если я создаю фиктивный пакет – здесь /tmp/example_package/setup.py (обратите внимание на требования): from distutils.core import setup setup(name='my_project', description="Just a test project", version="1.0", py_modules=['sample'], install_requires=['requests > 0.12']) Вот /tmp/example_package/sample.py: import requests def get_example(): return requests.get("http://www.example.com") Теперь я создаю virtualenv: $ virtualenv /tmp/foobar –distribute -p python2.7 Running virtualenv with interpreter /usr/bin/python2.7 New python executable in /tmp/foobar/bin/python2.7 Also […]

Как я могу найти модуль (модули), предоставляемый данным дистрибутивом Python?

Мне нужно создать список модулей, которые предоставляются списком дистрибутивов Python, указанными в файле requirements.txt. Сначала будут установлены дистрибутивы, чтобы они были доступны для проверки на местном уровне. Похоже, я должен использовать pip.req.parse_requirements чтобы получить список дистрибутивов из файла требований. Оттуда, как я могу найти имя модуля (модулей), который предоставляет дистрибутивы?

pip install matplotlib терпит неудачу с mavericks с homebrew

Я пытаюсь установить стек Scipy python, но с проблемами. У меня новый mac os с mavericks (10.9). Я установил доморощенный, и я использую варево для управления установками. я использовал % brew install python то (я проверял пип из моей домашней установки) % pip install numpy [this works] % pip install scipy [this works] % pip […]

Используйте pip или conda для управления пакетами?

Я довольно давно занимаюсь машинным обучением с использованием Matlab и недавно переключился на python и для установки определенных пакетов использовал свой пакетный диспетчер пакетов и успешно установил множество пакетов. Несколько дней назад я начал использовать conda, и все мои ранее установленные пакеты становятся переопределенными. Я действительно хочу знать разницу между pip и conda, и что […]

Установка pyodbc не поддерживает python 3.5.1

Я пытаюсь установить pyodbc для конкретного проекта, но, к сожалению, когда я пытаюсь выполнить установку, независимо от того, в какой команде я получаю следующую ошибку: Command "/usr/local/bin/python3.5 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-vw5rz5_t/pyodbc/setup.py'; exec(compile(getattr(tokenize, 'open', open)(__file__).read() .replace('\r\n', '\n'), __file__, 'exec'))" install –record /tmp/pip-p5vfq2hq-record/install-record.txt –single-version- externally-managed –compile" failed with error code 1 in /tmp/pip-build-vw5rz5_t/pyodbc/ Очевидно, эта ошибка […]

Почему некоторые пакеты могут быть обновлены в Pip, а не в Conda?

Я установил Anaconda под Windows 10. Все работает нормально. Я также побежал conda upgrade –all в командной строке. Однако я заметил, что когда я ввожу его в командной строке: pip list -o Я получаю (среди прочего) astroid (1.4.7) – Latest: 1.4.8 [wheel] Это означает, что astroid обновляется под пипсом. Однако, когда я иду в Anaconda […]

«Доступ запрещен» при обновлении pip.exe в Windows

Пип попросил меня обновить сообщение: You are using pip version 7.0.1, however version 7.0.3 is available. You should consider upgrading via the 'pip install –upgrade pip' command. Поэтому я запустил эту команду, и я получаю исключение, что pip не может удалить старую версию, потому что доступ к моему каталогу пользователя запрещен: Сбор Загрузка pip-7.0.3-py2.py3-none-any.whl (1.1MB) […]

Проблемы с импортом Python с помощью image2gif

Я знаю, что у меня установлены все пакеты (pip freeze). Я нахожусь на машине под Windows 10, и я запускаю python3.4, и у меня возникают странные проблемы с зависимостью test.py: from images2gif import writeGif from PIL import Image, ImageSequence import os file_names = ['output\donkey-1.png', 'output\donkey-2.png'] images = [Image.open(fn) for fn in file_names] size = (600,350) […]

Python - лучший язык программирования в мире.